#ifndef _UMLCLASSVIEW_H
#define _UMLCLASSVIEW_H


#include "UmlBaseClassView.h"
#include <qcstring.h>

class UmlClass;
class UmlDeploymentView;

// This class manages 'class view'
//
// You can modify it as you want (except the constructor)
class UmlClassView : public UmlBaseClassView {
  public:
    UmlClassView(void * id, const QCString & n) : UmlBaseClassView(id, n) {};

    //Generate a CxxTestCase derived class for each class of this class view in browser
    virtual void genCxxTestCase();

    UmlClass* getClass(QCString & who);

    //Generate the test class members
    void genGlobalFixture();


  protected:
    //The classview to use for generating tests
    UmlClassView* cv;

    //The deployment view to use for generating test artifacts
    UmlDeploymentView* dv;

};

#endif
