#ifndef _FRMGENCXXTEST_H
#define _FRMGENCXXTEST_H


#include <qvariant.h>
#include <qdialog.h>
#include <qvector.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "UmlItem.h"
class UmlItem;

class FrmGenCxxTest : public QDialog {
  Q_OBJECT
  public:
    FrmGenCxxTest(QWidget * parent = 0, const char * name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~FrmGenCxxTest();
    QLabel * textLabel1;

    QLabel * textLabel1_3;

    QLabel * textLabel1_2;

    QPushButton * cmdGenerate;

    QPushButton * cmdCancel;

    QComboBox * cboDeploymentView;

    QComboBox * cboClassView;

    QCheckBox * chkGenFixture;

    virtual void destroy();
    void setViews(QVector<UmlItem> & clsViews, QVector<UmlItem> & depViews);
    void setSelectedViews(int & clsViewIndex, int & depViewIndex);

  public slots:    virtual void cmdCancel_clicked();
    virtual void cmdGenerate_clicked();
  protected slots:    // 
    //  Sets the strings of the subwidgets using the current language.
    
    virtual void languageChange();


  private:
    //vector of class views
    QVector<UmlItem> * _pClassViews;

    //vector of deployment views
    QVector<UmlItem> * _pDeploymentViews;

    void init();
};

#endif
